Page MenuHomeFreeBSD

japanese/p5-Lingua-*: fix duplicate p5-p5- PKGNAMEPREFIX
ClosedPublic

Authored by meta on Jun 25 2018, 8:13 AM.

Details

Summary

japanese/p5-Lingua-JA-Moji had duplicate p5-p5- prefix and
japanese/p5-Lingua-JA-Numbers didn't have ja- prefix.
Set ja-p5- prefix to all Lingua ports under Japanese category.

PR: 229184
Submitted by: Tomohiro Hosaka <bokutin@bokut.in>
Approved by: ? (mentor)

Test Plan

portlint -AC looks fine except for false positive warnings.

$ cd ${PORTSDIR}
$ for d in $(find . -type d -depth 1 ); do (cd $d; make -VPKGNAME); done |grep Lingua
ja-p5-Lingua-JA-Kana-0.07_1
ja-p5-Lingua-JA-Regular-Unicode-0.12_1
ja-p5-Lingua-JA-Numbers-0.05
ja-p5-Lingua-JA-Summarize-Extract-0.02_2
ja-p5-Lingua-JA-Moji-0.36

All Lingua ports now have ja-p5- prefix.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

meta created this revision.Jun 25 2018, 8:13 AM
meta added reviewers: pi, hrs.Jun 25 2018, 8:13 AM
meta added a comment.Jul 9 2018, 2:04 AM

ping again

pi accepted this revision.Jul 9 2018, 6:43 AM

It builds, the package name in the end is:

ja-p5-Lingua-JA-Numbers
and
ja-p5-Lingua-JA-Moji

Is this what it is supposed to be ? Or should it be p5-ja-... ?

This revision is now accepted and ready to land.Jul 9 2018, 6:43 AM
meta added a comment.Jul 9 2018, 7:48 AM

ja-p5- is what I intended but I'm not pretty sure that is correct.
Many other ports have ja-p5- prefix. Just in case, I'll ask mailing list about that.

meta added a comment.Jul 9 2018, 7:52 AM

BTW, should this be recorded to MOVED? This changes PKGNAME.

pi added a comment.Jul 9 2018, 8:09 AM

No need to add it to MOVED, as the directory under /usr/ports does not change.

mat added a subscriber: mat.Jul 10 2018, 11:20 AM

This is the way to do it, yes, see other p5 packages in the japanese directory.

This revision was automatically updated to reflect the committed changes.
mat added a comment.Jul 11 2018, 6:13 AM

Before renaming both package, did you check wether there were ports depending on those, which would also need to be updated?

meta added a comment.Jul 11 2018, 8:04 AM
This comment was removed by meta.
meta added a comment.Jul 11 2018, 8:07 AM

No, I didn't aware of that. I think this should be changed.

(p5-Datetime-Japanese-Era doesn't have ja- prefix.... but I don't change at this time.)

Index: japanese/p5-Date-Japanese-Era/Makefile
===================================================================
--- japanese/p5-Date-Japanese-Era/Makefile      (revision 474424)
+++ japanese/p5-Date-Japanese-Era/Makefile      (working copy)
@@ -11,7 +11,7 @@
 COMMENT=       Conversion between Japanese Era / Gregorian calendar
 
 BUILD_DEPENDS= p5-Date-Calc>=0:devel/p5-Date-Calc \
-               p5-Lingua-JA-Numbers>=0:japanese/p5-Lingua-JA-Numbers
+               ja-p5-Lingua-JA-Numbers>=0:japanese/p5-Lingua-JA-Numbers
 RUN_DEPENDS:=  ${BUILD_DEPENDS}
 
 USES=          perl5
pi added a comment.Jul 11 2018, 8:24 AM

depends changed, so the PORTREVISION for p5-Date-Japanese-Era needs to increment. Otherwise: Approved.

meta added a comment.Jul 12 2018, 2:23 AM

p5-Datetime-Japanese-Era actually have ja- prefix already. It was my misunderstanding.
antoine already committed dependency change. I just bumped PORTREVISION. Thanks!